Bug 1086632 (CVE-2014-2398) - CVE-2014-2398 OpenJDK: insufficient escaping of window title string (Javadoc, 8026736)
Summary: CVE-2014-2398 OpenJDK: insufficient escaping of window title string (Javadoc,...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-2398
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140415,reported=2...
Depends On:
Blocks: 1082776
TreeView+ depends on / blocked
 
Reported: 2014-04-11 08:27 UTC by Tomas Hoger
Modified: 2019-06-08 19:59 UTC (History)
8 users (show)

Fixed In Version: icedtea 1.13.3, icedtea 2.4.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 14:09:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0406 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2014-04-16 15:24:01 UTC
Red Hat Product Errata RHSA-2014:0407 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2014-04-16 15:23:49 UTC
Red Hat Product Errata RHSA-2014:0408 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2014-04-16 15:34:59 UTC
Red Hat Product Errata RHSA-2014:0412 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2014-04-17 13:28:34 UTC
Red Hat Product Errata RHSA-2014:0413 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 19:38:34 UTC
Red Hat Product Errata RHSA-2014:0414 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 19:38:49 UTC
Red Hat Product Errata RHSA-2014:0486 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2014-05-13 23:47:47 UTC
Red Hat Product Errata RHSA-2014:0508 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2014-05-15 21:28:29 UTC
Red Hat Product Errata RHSA-2014:0509 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2014-05-15 22:19:35 UTC
Red Hat Product Errata RHSA-2014:0675 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2014-06-10 16:13:04 UTC
Red Hat Product Errata RHSA-2014:0685 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2014-06-10 16:34:29 UTC
Red Hat Product Errata RHSA-2014:0705 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2014-06-10 17:07:11 UTC
Red Hat Product Errata RHSA-2014:0982 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2014-07-29 19:40:11 UTC

Description Tomas Hoger 2014-04-11 08:27:57 UTC
It was discovered that the fix for CVE-2013-5797 (bug 1018720) did not properly with the issue in the way javadoc (Java API Documentation Generator) created a JavaScript code used to set browser window title when navigating between pages of the generated API documentation.  An input from user was not properly escaped before being used as part of the JavaScript string.  A specially crafted input could "break out" of the JS string and execute arbitrary JavaScript in the context of the domain that hosts generated API documentation, allowing a Cross-Site Scripting attacks.

The original fix for the issue added escaping of quotes and non-ASCII characters, but it failed to escape HTML special characters < and >.

Acknowledgement:

This issue was discovered by the Red Hat Security Response Team.

Comment 2 Tomas Hoger 2014-04-15 21:49:33 UTC
Fixed now in Oracle Java SE 5.0u75, 6u75, 7u55 and 8u5 via Oracle Critical Patch Update Advisory - April 2014.

External References:

http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html#AppendixJAVA

Comment 4 errata-xmlrpc 2014-04-16 11:29:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0407 https://rhn.redhat.com/errata/RHSA-2014-0407.html

Comment 5 errata-xmlrpc 2014-04-16 11:31:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0406 https://rhn.redhat.com/errata/RHSA-2014-0406.html

Comment 6 errata-xmlrpc 2014-04-16 11:35:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0408 https://rhn.redhat.com/errata/RHSA-2014-0408.html

Comment 7 errata-xmlrpc 2014-04-17 09:31:03 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0413 https://rhn.redhat.com/errata/RHSA-2014-0413.html

Comment 8 errata-xmlrpc 2014-04-17 09:34:03 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2014:0412 https://rhn.redhat.com/errata/RHSA-2014-0412.html

Comment 9 Stefan Cornelius 2014-04-17 10:32:36 UTC
OpenJDK upstream commit:
http://hg.openjdk.java.net/jdk8u/jdk8u/langtools/rev/bd5898d93742

Comment 10 errata-xmlrpc 2014-04-17 11:45:50 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html

Comment 11 errata-xmlrpc 2014-05-13 19:48:22 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0486 https://rhn.redhat.com/errata/RHSA-2014-0486.html

Comment 12 errata-xmlrpc 2014-05-15 17:29:44 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0508 https://rhn.redhat.com/errata/RHSA-2014-0508.html

Comment 13 errata-xmlrpc 2014-05-15 18:22:47 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0509 https://rhn.redhat.com/errata/RHSA-2014-0509.html

Comment 14 errata-xmlrpc 2014-06-10 12:18:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0675 https://rhn.redhat.com/errata/RHSA-2014-0675.html

Comment 15 errata-xmlrpc 2014-06-10 12:39:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0685 https://rhn.redhat.com/errata/RHSA-2014-0685.html

Comment 16 errata-xmlrpc 2014-06-10 13:14:20 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2014:0705 https://rhn.redhat.com/errata/RHSA-2014-0705.html

Comment 17 errata-xmlrpc 2014-07-29 15:42:26 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2014:0982 https://rhn.redhat.com/errata/RHSA-2014-0982.html


Note You need to log in before you can comment on or make changes to this bug.